## org.apache.lucene.analysis.ja.dict
Class CharacterDefinition

    java.lang.Object
      org.apache.lucene.analysis.ja.dict.CharacterDefinition

    public final class CharacterDefinition

extends Object

Character category data.

Field Summary
`static byte` `ALPHA`
`static int` `CLASS_COUNT`
`static byte` `CYRILLIC`
`static byte` `DEFAULT`
`static String` `FILENAME_SUFFIX`
`static byte` `GREEK`
`static String` `HEADER`
`static byte` `HIRAGANA`
`static byte` `KANJI`
`static byte` `KANJINUMERIC`
`static byte` `KATAKANA`
`static byte` `NGRAM`
`static byte` `NUMERIC`
`static byte` `SPACE`
`static byte` `SYMBOL`
`static int` `VERSION`

Method Summary
`byte` `getCharacterClass(char c)`
`static CharacterDefinition` `getInstance()`
`boolean` `isGroup(char c)`
`boolean` `isInvoke(char c)`
`boolean` `isKanji(char c)`
`static byte` `lookupCharacterClass(String characterClassName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILENAME_SUFFIX

    public static final String FILENAME_SUFFIX

See Also:
  Constant Field Values

### HEADER

    public static final String HEADER

See Also:
  Constant Field Values

### VERSION

    public static final int VERSION

See Also:
  Constant Field Values

### CLASS_COUNT

    public static final int CLASS_COUNT

### NGRAM

    public static final byte NGRAM

### DEFAULT

    public static final byte DEFAULT

### SPACE

    public static final byte SPACE

### SYMBOL

    public static final byte SYMBOL

### NUMERIC

    public static final byte NUMERIC

### ALPHA

    public static final byte ALPHA

### CYRILLIC

    public static final byte CYRILLIC

### GREEK

    public static final byte GREEK

### HIRAGANA

    public static final byte HIRAGANA

### KATAKANA

    public static final byte KATAKANA

### KANJI

    public static final byte KANJI

### KANJINUMERIC

    public static final byte KANJINUMERIC

Method Detail

### getCharacterClass

    public byte getCharacterClass(char c)

### isInvoke

    public boolean isInvoke(char c)

### isGroup

    public boolean isGroup(char c)

### isKanji

    public boolean isKanji(char c)

### lookupCharacterClass

    public static byte lookupCharacterClass(String characterClassName)

### getInstance

    public static CharacterDefinition getInstance()

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.